All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Interface CalculatedObjectFactoryInterface

All Superinterfaces:
  CalculatedItemMetadataInterface

All Known Implementing Classes:
  BaseCalculatedObjectFactory, BusinessModelCalculatedObjectFactory, BusinessQueryCalculatedObjectFactory, DataSelectionCalculatedObjectFactory, InformationMapCalculatedObjectFactory

    public interface CalculatedObjectFactoryInterface

extends CalculatedItemMetadataInterface

Description: Interface defining calls to the CalculatedObjectFactory Copyright: Copyright (c) 2002 Company: SAS

Nested Class Summary
`static interface` | `CalculatedObjectFactoryInterface.ImageIconFactoryInterface`

Method Summary
`boolean` | `canBusinessModelObjectHaveChildren(java.lang.Object parent)`
`boolean` | `canBusinessModelObjectHaveValues(java.lang.Object bmObject)`
`boolean` | `canRemoveAllCalculatedItems()`
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getBusinessDataSourceTree()` Get the DataSource tree model from the Business (Data Item) view of the business model
`java.util.List` | `getBusinessModelCalculatedItemObjects(boolean includeBaseModels)`
`java.util.List` | `getBusinessModelObjectChildren(java.lang.Object parent)`
`java.lang.String` | `getBusinessModelObjectImageName(java.lang.Object value, boolean expanded)`
`java.util.List` | `getBusinessModelObjectValues(java.lang.Object bmObject)`
`java.lang.String` | `getBusinessModelObjectValuesToInsert(java.lang.Object item)`
`java.lang.String` | `getBusinessObjectDescription(java.lang.Object item)`
`java.lang.String` | `getBusinessObjectDisplayName(java.lang.Object item)`
`java.lang.String` | `getBusinessObjectInsertName(java.lang.Object item)`
`java.lang.String` | `getBusinessObjectTipText(java.lang.Object item)`
`java.util.List` | `getChildFormats(java.lang.String expressionText, int expressionType, int restrictByType)`
`java.util.List` | `getDataItems(boolean includeBaseModels)`
`java.util.List` | `getDataItemsAndFolders(boolean includeBaseModels)`
`java.util.List` | `getDataSources(boolean includeBaseModels)`
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getDataSourceTree()` Get the Default DataSource tree model for this business model
`java.lang.String[]` | `getExpressionTypeNames()`
`int[]` | `getExpressionTypeValues()`
`java.lang.String` | `getExpressionUtilText(com.sas.iquery.metadata.expr.ExpressionInterface expression)`
`java.lang.String` | `getFormatFromResources(java.lang.Object dataItem)`
`com.sas.expressions.visuals.FunctionTreeInterface` | `getFunctionListTree()` Get the Category Tree with Function Lists model
`javax.swing.Icon` | `getImageIconFromIqVisualsBundle(java.lang.String imageName)`
`java.lang.String` | `getLastInvalidCalculatedItemMessage()`
`java.lang.Exception` | `getLastInvalidExpressionException()`
`boolean` | `getLevelHasMembers()` Determines if the levels of data contained by this adapter have members or not.
`java.util.Map` | `getLevelNameMap(boolean includeHierarchyName)` Gets the level names in a map with the Level Display names as the keys and the insertable text as the values.
`java.lang.String[]` | `getLevelNames(boolean includeHierarchyName)` Gets the level names.
`java.util.Map` | `getMeasureNameMap()` Gets the measure names and each insertable value.
`java.lang.String[]` | `getMeasureNames()` Gets the measure names.
`java.lang.String[]` | `getMemberNames(java.lang.String levelName)` Get the member names for a given level.
`com.sas.expressions.visuals.OperationListInterface` | `getOperationList()` Get the Operations List model
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getPhysicalDataSourceTree()` Get the DataSource tree model from the Physical view of the business model
`com.sas.expressions.visuals.DataSourceTreeInterface` | `getPromptDataSourceTree()` Get the DataSource tree model containing the prompts of the business model
`com.sas.iquery.metadata.expr.ResourceScope` | `getResourceScope()`
`java.lang.Object` | `newBusinessModelCalculatedItemObject()`
`java.lang.Object` | `newBusinessModelCalculatedItemObject(CalculatedItemInterface item)`
`CalculatedItemInterface` | `newCalculatedItem(CalculatedItemInterface toBeCloned)`
`CalculatedItemInterface` | `newCalculatedItemFromBusinessObject(java.lang.Object bmObject)`
`com.sas.iquery.metadata.expr.ExpressionInterface` | `newExpressionUtilExpression(java.lang.String text, int type)`
`void` | `removeBusinessModelCalculatedItemObject(java.lang.Object item)`
`void` | `setResourceScope(com.sas.iquery.metadata.expr.ResourceScope scope)`
`boolean` | `updateBusinessModelObjectFromCalculatedItem(java.lang.Object bmObject, CalculatedItemInterface item)`
`boolean` | `updateCalculatedItemFromBusinessModelObject(CalculatedItemInterface item, java.lang.Object bmObject)`
`boolean` | `updateCalculatedItemFromCalcValues(CalculatedItemInterface item, java.lang.String id, java.lang.String label, java.lang.String desc, int calcType, java.lang.String text)`
`boolean` | `updateCalculatedItemFromExprValues(CalculatedItemInterface item, java.lang.String id, java.lang.String label, java.lang.String desc, int exprType, java.lang.String text)`
`boolean` | `validateCalculatedItem(CalculatedItemInterface item)`
`boolean` | `validateCalculatedItem(CalculatedItemInterface item, boolean validateText)`
`boolean` | `validateItemCalculation(CalculatedItemInterface item)`

Methods inherited from interface com.sas.dataselectors.calculateditems.CalculatedItemMetadataInterface
`getMaxOutputObservations, setMaxOutputObservations`

Method Detail

### getLevelHasMembers

    boolean getLevelHasMembers()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Determines if the levels of data contained by this adapter have members or not.

  Specified by:
    `getLevelHasMembers` in interface `CalculatedItemMetadataInterface`
  Returns:
    true if this adapter contains data with members; false otherwise.
  See Also:
    `CalculatedItemMetadataInterface.getMemberNames(String)`

### getLevelNameMap

    java.util.Map getLevelNameMap(boolean includeHierarchyName)

  Description copied from interface: `CalculatedItemMetadataInterface`
  Gets the level names in a map with the Level Display names as the keys and the insertable text as the values.

  Specified by:
    `getLevelNameMap` in interface `CalculatedItemMetadataInterface`
  Parameters:
    `includeHierarchyName` - set to true if the hierarchy name for a given level is to be returned (only used if getLevelHasMembers() is true)
  Returns:
    a map of String containing the names of the levels, and optionally, the hierarchy name for each level to the insertable text
  See Also:
    `CalculatedItemMetadataInterface.getLevelHasMembers()`

### getLevelNames

    java.lang.String[] getLevelNames(boolean includeHierarchyName)

  Description copied from interface: `CalculatedItemMetadataInterface`
  Gets the level names. Level names are level names for OLAP, but are character type data items for relational.

  Specified by:
    `getLevelNames` in interface `CalculatedItemMetadataInterface`
  Parameters:
    `includeHierarchyName` - set to true if the hierarchy name for a given level is to be returned (only used if getLevelHasMembers() is true)
  Returns:
    an array of String containing the names of the levels, and optionally, the hierarchy name for each level.
  See Also:
    `CalculatedItemMetadataInterface.getLevelHasMembers()`

### getMeasureNameMap

    java.util.Map getMeasureNameMap()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Gets the measure names and each insertable value. Measure names are actual names of measures for OLAP, but are numeric type data items for relational.

  Specified by:
    `getMeasureNameMap` in interface `CalculatedItemMetadataInterface`
  Returns:
    an map of String containing the names of the measures mapped to the insertable value

### getMeasureNames

    java.lang.String[] getMeasureNames()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Gets the measure names. Measure names are actual names of measures for OLAP, but are numeric type data items for relational.

  Specified by:
    `getMeasureNames` in interface `CalculatedItemMetadataInterface`
  Returns:
    an array of String containing the names of the measures

### getMemberNames

    java.lang.String[] getMemberNames(java.lang.String levelName)

  Description copied from interface: `CalculatedItemMetadataInterface`
  Get the member names for a given level. This method is only meaningful in the case where the level of data contains members (i.e. if getLevelHasMembers() returns true).

  Specified by:
    `getMemberNames` in interface `CalculatedItemMetadataInterface`
  Parameters:
    `levelName` - the level for which to get the member names
  Returns:
    an array of Strings containing the names of the members for the specified level if the adapter contains OLAP data; returns null otherwise.
  See Also:
    `CalculatedItemMetadataInterface.getLevelHasMembers()`

### getDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getDataSourceTree()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Get the Default DataSource tree model for this business model

  Specified by:
    `getDataSourceTree` in interface `CalculatedItemMetadataInterface`
  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getPhysicalDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getPhysicalDataSourceTree()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Get the DataSource tree model from the Physical view of the business model

  Specified by:
    `getPhysicalDataSourceTree` in interface `CalculatedItemMetadataInterface`
  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getBusinessDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getBusinessDataSourceTree()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Get the DataSource tree model from the Business (Data Item) view of the business model

  Specified by:
    `getBusinessDataSourceTree` in interface `CalculatedItemMetadataInterface`
  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getPromptDataSourceTree

    com.sas.expressions.visuals.DataSourceTreeInterface getPromptDataSourceTree()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Get the DataSource tree model containing the prompts of the business model

  Specified by:
    `getPromptDataSourceTree` in interface `CalculatedItemMetadataInterface`
  Returns:
    a com.sas.expressions.visuals.DataSourceTreeInterface containing the data sources that can be added in the Expression Editor (null allowed if not supported)

### getFunctionListTree

    com.sas.expressions.visuals.FunctionTreeInterface getFunctionListTree()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Get the Category Tree with Function Lists model

  Specified by:
    `getFunctionListTree` in interface `CalculatedItemMetadataInterface`
  Returns:
    a com.sas.expressions.visuals.FunctionTreeInterface containing the Categories with Functions that can be added in the Expression Editor (null allowed if not supported)

### getOperationList

    com.sas.expressions.visuals.OperationListInterface getOperationList()

  Description copied from interface: `CalculatedItemMetadataInterface`
  Get the Operations List model

  Specified by:
    `getOperationList` in interface `CalculatedItemMetadataInterface`
  Returns:
    a com.sas.expressions.visuals.OperationListInterface containing the Operations that can be added in the Expression Editor (null allowed if not supported)

### getDataItems

    java.util.List getDataItems(boolean includeBaseModels)

### getBusinessModelCalculatedItemObjects

    java.util.List getBusinessModelCalculatedItemObjects(boolean includeBaseModels)

### removeBusinessModelCalculatedItemObject

    void removeBusinessModelCalculatedItemObject(java.lang.Object item)

### newBusinessModelCalculatedItemObject

    java.lang.Object newBusinessModelCalculatedItemObject()

### newBusinessModelCalculatedItemObject

    java.lang.Object newBusinessModelCalculatedItemObject(CalculatedItemInterface item)

### updateCalculatedItemFromBusinessModelObject

    boolean updateCalculatedItemFromBusinessModelObject(CalculatedItemInterface item,
                                                        java.lang.Object bmObject)

### updateBusinessModelObjectFromCalculatedItem

    boolean updateBusinessModelObjectFromCalculatedItem(java.lang.Object bmObject,
                                                        CalculatedItemInterface item)

### updateCalculatedItemFromExprValues

    boolean updateCalculatedItemFromExprValues(CalculatedItemInterface item,
                                               java.lang.String id,
                                               java.lang.String label,
                                               java.lang.String desc,
                                               int exprType,
                                               java.lang.String text)

### updateCalculatedItemFromCalcValues

    boolean updateCalculatedItemFromCalcValues(CalculatedItemInterface item,
                                               java.lang.String id,
                                               java.lang.String label,
                                               java.lang.String desc,
                                               int calcType,
                                               java.lang.String text)

### getDataSources

    java.util.List getDataSources(boolean includeBaseModels)

### getBusinessObjectDisplayName

    java.lang.String getBusinessObjectDisplayName(java.lang.Object item)

### getBusinessObjectTipText

    java.lang.String getBusinessObjectTipText(java.lang.Object item)

### getBusinessObjectInsertName

    java.lang.String getBusinessObjectInsertName(java.lang.Object item)

### canBusinessModelObjectHaveChildren

    boolean canBusinessModelObjectHaveChildren(java.lang.Object parent)

### getBusinessModelObjectChildren

    java.util.List getBusinessModelObjectChildren(java.lang.Object parent)

### canBusinessModelObjectHaveValues

    boolean canBusinessModelObjectHaveValues(java.lang.Object bmObject)

### getBusinessModelObjectValues

    java.util.List getBusinessModelObjectValues(java.lang.Object bmObject)

### getBusinessModelObjectValuesToInsert

    java.lang.String getBusinessModelObjectValuesToInsert(java.lang.Object item)

### getExpressionTypeNames

    java.lang.String[] getExpressionTypeNames()

### getExpressionTypeValues

    int[] getExpressionTypeValues()

### newCalculatedItemFromBusinessObject

    CalculatedItemInterface newCalculatedItemFromBusinessObject(java.lang.Object bmObject)

### newCalculatedItem

    CalculatedItemInterface newCalculatedItem(CalculatedItemInterface toBeCloned)

### getImageIconFromIqVisualsBundle

    javax.swing.Icon getImageIconFromIqVisualsBundle(java.lang.String imageName)

### getBusinessModelObjectImageName

    java.lang.String getBusinessModelObjectImageName(java.lang.Object value,
                                                     boolean expanded)

### getChildFormats

    java.util.List getChildFormats(java.lang.String expressionText,
                                   int expressionType,
                                   int restrictByType)

### validateCalculatedItem

    boolean validateCalculatedItem(CalculatedItemInterface item)

### validateCalculatedItem

    boolean validateCalculatedItem(CalculatedItemInterface item,
                                   boolean validateText)

### validateItemCalculation

    boolean validateItemCalculation(CalculatedItemInterface item)

### getLastInvalidExpressionException

    java.lang.Exception getLastInvalidExpressionException()

### getLastInvalidCalculatedItemMessage

    java.lang.String getLastInvalidCalculatedItemMessage()

### getResourceScope

    com.sas.iquery.metadata.expr.ResourceScope getResourceScope()

### setResourceScope

    void setResourceScope(com.sas.iquery.metadata.expr.ResourceScope scope)

### newExpressionUtilExpression

    com.sas.iquery.metadata.expr.ExpressionInterface newExpressionUtilExpression(java.lang.String text,
                                                                                 int type)

### getExpressionUtilText

    java.lang.String getExpressionUtilText(com.sas.iquery.metadata.expr.ExpressionInterface expression)

### getFormatFromResources

    java.lang.String getFormatFromResources(java.lang.Object dataItem)

### getDataItemsAndFolders

    java.util.List getDataItemsAndFolders(boolean includeBaseModels)

### getBusinessObjectDescription

    java.lang.String getBusinessObjectDescription(java.lang.Object item)

### canRemoveAllCalculatedItems

    boolean canRemoveAllCalculatedItems()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.